#!/bin/bash -i

# Get the full html and get the link of the button
wget https://go.dev/dl/

# get latest Linux download row
latestversionsh="$(grep -w 'downloadBox' "index.html")"
latestversionsh=$(echo "$latestversionsh" | grep 'linux')

latestversionsh=${latestversionsh#*'href="'}
latestversionsh=${latestversionsh%'">'*}

# Download latest golang version
sudo -u $SUDO_USER wget "https://go.dev"$latestversionsh

# Remove dashes from latest version string
latestversionsh=${latestversionsh#*'/'}
latestversionsh=${latestversionsh#*'/'}

# Remove any previous Go installation then extract the archive
rm -rf /usr/local/go && tar -C /usr/local -xzf $latestversionsh

if [[ $(which zsh) == "/usr/bin/zsh" ]]; then
    sudo -u $SUDO_USER echo 'export PATH=$PATH:/usr/local/go/bin # This is the path to the Golang install' >> ~/.zshrc
fi

cat >> ~/.bashrc << EOT
export PATH=$PATH:/usr/local/go/bin # This is the path to the Golang install
EOT

source ~/.bashrc