#!/bin/bash -i

# get nvm package
wget -qO- https://raw.githubusercontent.com/nvm-sh/nvm/v0.39.1/install.sh | bash

# export nvm to env table
if [[ $(which zsh) == "/usr/bin/zsh" ]]; then
    sudo -u $SUDO_USER echo 'export NVM_DIR="$([ -z "${XDG_CONFIG_HOME-}" ] && printf %s "${HOME}/.nvm" || printf %s "${XDG_CONFIG_HOME}/nvm")"' >> ~/.zshrc
    sudo -u $SUDO_USER echo '[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh" # This loads nvm' >> ~/.zshrc
fi

# always put in bashrc aswell, so that the user can always rely on the standard shell
cat >> ~/.bashrc << EOT
export NVM_DIR="$([ -z "${XDG_CONFIG_HOME-}" ] && printf %s "${HOME}/.nvm" || printf %s "${XDG_CONFIG_HOME}/nvm")"
[ -s "$NVM_DIR/nvm.sh" ] && \. "$NVM_DIR/nvm.sh" # This loads nvm
EOT

source ~/.bashrc

# install latest version of node
nvm install node